Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
Ouvrir le dossier d'origine de l'image à partir de DT ?
#41
Je ne le vois pas. Tant pis. J'ai désinstallé avec un terminal liblensfun1 ce qu'il a fait puis j'ai réinstallé Darktable. J'ai toujours la même configuration avec lensfun 0.3.2 et pas celle du dépôt de pmjdebruijn . Dans ce terminal, il m'a indiqué à un moment queje n'avais plus lensfun installé (ouaaaaaaais!) mais que lensfun 0.3.2 était candidat (noooooooooooon!)
Répondre
#42
Bonsoir Micka,

le problème vient du fait que lorsque tu installes darktable il a besoin de trouver lensfun et par défaut l'installateur (apt sous ubuntu) charge la version la plus récente. Je me suis aussi retrouvé avec lensfun 0.3.2 installé je ne sais comment, ce qui ne m'a pas gêné pendant un moment. Puis j'ai eu besoin de revenir à la version 0.2.8-3.
Je n'ai pas pris de notes à ce moment-là mais je sais que le remplacement s'est fait facilement. je n'ai plus en mémoire les  manipulations exactes ni la syntaxe.
La solution est de forcer à posteriori l'installation de la version choisie en faisant suivre le nom du paquet de son numéro de version. Essaie :
sudo apt install liblensfun0=0.2.8-3
et la même chose avec le paquet liblensfun-data

Si ça ne marche pas je te dirai comment enlever les paquets de la version 0.3.2 malgré les dépendances.

Autre solution, si ça ne te dérange pas de supprimer darktable et qu'il n'y a pas d'autre logiciel utilisant lensfun (gimp), tu supprimes darktable puis les paquets liblensfun, ensuite tu installes en sens inverse les paquets liblensfun de la bonne version puis darktable.

En espérant que tout ira bien pour toi,
Christian
Répondre
#43
Merci Christian. Je suis en train de me demander si je ne vais pas carrément réinstaller Ubuntu, avec /home sur une autre partition que celle de /
J'ai l'impression d'avoir quelques bizarreries de comportement d'Ubuntu depuis que j'ai fait la mise à niveau de 14.04 à 16.04 puis 17.10.
Dans le genre une fenêtre disant que "Firefox is already running chais plus quoi" alors que ça fait une demi-heure que je surfe...
Répondre
#44
Bonjour, je déterre ce sujet car depuis peu (mais quand ? quelle version de dt ?) soit l'association de la touche (F9 pour moi) avec le script LUA qui ouvre le dossier dans nautilus où se trouve la photo couramment sélectionnée, soit le script LUA lui-même ne fonctionne plus.

Ma version actuelle : 3.5.0~git1143.d6cd3a3c3-1

En un mot, je n'arrive plus à ouvrir l'explorateur de fichiers et aller directement au dossier de la photo par F9 comme il y a encore pas très longtemps.

Un élément de diagnostic :

10,689101 LUA ERROR : /home/manu/.config/darktable/lua/fichiers.lua:48: bad argument #2 to 'register_event' (string expected, got function)

Le pb est sans doute dans le script LUA...
La ligne 48 :
Code :
dt.register_event("shortcut",fnav_shortcut, "Lancer le navigateur de fichiers")
Ubuntu 20.04 + dt "master"
Pentax K-3 II + objectifs Pentax et Sigma

Répondre
#45
Bonjour Manu,

L'API darktable/LUA a changé récemment comme annoncé dans un mail par William Ferguson sur la lidie darktable-dev le 2 février dernier :

Citation :You'll want to update your lua-scripts to the latest version which is compatible with the lua events API change as described in the darktable 3.6 Lua roadmap (https://github.com/darktable-org/darktable/issues/8052).


J'ai modifié le script, mais j'ai oublié de poster la modification ici, la voici :
Code :
--[[
FNAV
launch file navigator in photo directory with a shortcut

AUTHOR
Jean-Pierre Verrue (contact@jpverrue.fr)

INSTALLATION
* copy this file in $CONFIGDIR/lua/ where CONFIGDIR
is your darktable configuration directory
* add the following line in the file $CONFIGDIR/luarc
  require "fnav"

USAGE
* configure this script :
* set a shortcut in preferences->shortcut->lua
* set file navigator path in preferences->lua options
* set file navigator options in preferences->lua options
* select a photo
* type your shortcut
* after use dont forget to close file navigator window !

LICENSE
GPLv2
]]

local dt = require "darktable"

dt.preferences.register("file_navigator","navigator_options",
"string","options",
"options du navigateur de fichier","")

dt.preferences.register("file_navigator","navigator_path",
"string","navigateur de fichiers",
"chemin complet du navigateur de fichier","")

local function fnav_shortcut(event, shortcut)
  local images = dt.gui.action_images
  local image_path = string.gsub(tostring(images[1].path), '"', '\\"')
  local navigator_path = dt.preferences.read("file_navigator", "navigator_path", "string")
  local navigator_options = dt.preferences.read("file_navigator", "navigator_options", "string")
  local command = navigator_path.." "..navigator_options..' "'..image_path..'"'
  dt.print_error("command="..command)
  dt.control.execute(command)

end

dt.register_event("fnav", "shortcut", fnav_shortcut, "Lancer le navigateur de fichiers")
Désolé pour l'oubli :-(
Mes photos : jpverrue.fr
Répondre
#46
Pas de souci @jpverrue !

Merci pour le correctif, ça marche parfaitement.

En passant, étrange que je ne reçoive pas (toujours) les notifications de nouveaux messages ici alors que je suis "abonné du sujet".
Ubuntu 20.04 + dt "master"
Pentax K-3 II + objectifs Pentax et Sigma

Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)